@use "sass:math";
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import '~bootstrap/scss/bootstrap.scss';
@import 'mixins';
@import 'variables';

html {
  overflow-y: scroll;
  word-break: break-word;
}

html,
body {
  font-family: 'Poppins', sans-serif;
  font-size: 62.5%;
  line-height: 1.7;
  font-weight: 400;
  color: $secondary-color;
}

* {
  padding: 0;
  margin: 0;
  // box-sizing: border-box;
}

.btn{
  border-radius: 0.5rem;
  padding: 1rem 2rem;
  box-sizing: border-box;
  font-size: 1.6rem;
  text-transform: uppercase;

  &-primary {
    @include buttonStyle($primary-color);
  }

  &-success {
    @include buttonStyle($success-color);
    // background-color: $success-color;
    &:hover {
      background-color: $secondary-color;
      border-color: transparent;
    }
  }

  &-secondary {
    @include buttonStyle($secondary-color);
    // background-color: $success-color
  }

  &-pink {
    @include buttonStyle($pink-color);

    &::after {
      background-color: $pink-color !important;
    }
  }

  &-default {
    @include buttonStyle($secondary-color);
    padding: 0.5rem 2rem;
  }
  &-link {
    color: $primary-color !important;
    font-weight: 700;
    text-decoration:underline !important
  }
}

.bg {
  &-success {
    background-color: $success-color;
    color: #fff;
  }
  &-pink {
    background-color: $pink-color;
    color: #fff;
  }
}

a {
  &:link,
  &:active,
  &:visited {
    color: inherit;
    text-decoration: none;
    font-size: 1.4rem;

    &:hover {
      color: inherit;
    }
  }

  &.link {
    font-weight: 600;
    font-size: 1.6rem;
    padding: 1rem 2rem;
    display: inline-block;

    &-primary {
      color: $primary-color;
    }
  }
}

.special {
  &__heading {
    &_primary {
      -webkit-background-clip: text;
      color: transparent;
      display: inline-block;
      background-image: linear-gradient(
        to right,
        rgba($secondary-color, 0.8),
        rgba($primary-color, 0.3)
      );
      padding: 0 1rem;
    }
  }
}

p {
  font-size: 1.6rem;
  opacity: 0.9;
}

.form-control,
.form-select {
  border-radius: 0.5rem;
  font-size: 1.6rem;
  padding: 1rem 1.5rem;

  @media screen and (min-width: 600px) {
  }

  &:focus {
    border-color: $primary-color;
    box-shadow: unset;
  }
}

.heading {
  font-size: 2.5rem;

  &__primary {
    font-size: 3.5rem;

    @media screen and (min-width: 600px) {
      font-size: 4.5rem;
    }

    &_big {
      font-weight: bold;
    }

    &_medium {
      font-weight: 600;
      font-size: 3rem;
    }
  }

  &_medium {
    font-weight: 400;
    font-size: 3rem;
  }

  &_small {
    font-size: 1.9rem;
    font-weight: 300;

    @media screen and(min-width: 600px) {
      font-size: 2.5rem;
    }
  }

  &_tiny {
    font-size: 1.3rem;
    font-weight: 300;
  }

  &_upper {
    text-transform: uppercase;
  }
}

span,
p,
td,
label,
li,
strong {
  font-size: 1.6rem;
}

h5 {
  font-size: medium;
}

small {
  font-size: 1.2rem;
}

.small {
  font-size: 1.4rem;
}

.text {
  &-primary {
    color: $primary-color;
  }
  &-italic {
    font-style: italic;
  }
}

.home {
  &__product {
    &_categories {
      .container {
        .row {
          [class^='col-md-'] {
            margin-bottom: 2rem;
          }

          .box__item {
            height: 10rem;
            min-height: 100%;
            background-color: #fff;
            border-radius: 0.5rem;
            padding: 1rem;
            margin-bottom: 1rem;
            position: relative;
            border: 0.1rem solid rgba(#000, 0.12);

            @media screen and (min-width: 600px) {
              height: 10rem;
            }

            &_action {
              position: absolute;
              bottom: 0;
              width: 100%;
              left: 0;
              padding: 1rem;
            }
          }
        }
      }
    }
  }
}

.domain {
  &__search {
    &_form {
      .domain_input {
        .form-group,
        .input-group {
          width: 85%;

          &:last-child {
            width: 30%;
            cursor: pointer;
            // @media screen and (min-width: 600px) {
            //   width: 60%;
            // }
          }

          .form-control {
            &.domain_name {
              border-radius: 0.5rem 0 0 0.5rem;
            }

            &.domain_ext {
              border-radius: 0 0.5rem 0.5rem 0;
              border-left: 0;
              height: 5rem;
              background-color: $primary-color;
              color: $light-color;
              // font-weight: 900;
              text-align: center;
            }
          }

          input {
            height: 5rem;
          }
        }
      }

      .search_btn {
        border-radius: 0.5rem;

        &::after {
          background-color: $primary-color;
          border-radius: 0.5rem;
        }
      }
    }
  }

  &-name {
    font-size: 3.5rem;

    &-success {
      color: $success-color;
    }

    &-failed {
      color: $danger-color;
    }

    &-price {
      font-size: 2.5rem;
    }
  }

  &__name {
    // font-size: 3.5rem;
    font-weight: 600;
    margin-top: 2rem;
    font-weight: 400;

    &_primary {
      color: $primary-color;
    }

    &_small {
      font-size: 2rem;
    }

    &_big {
      font-size: 2rem;

      @media screen and (min-width: 600px) {
        font-size: 3.5rem;
      }
    }

    &_medium {
      font-size: 1.8rem;

      @media screen and (min-width: 600px) {
        font-size: 2.5rem;
      }
    }
  }

  &__result {
    &_success {
      font-size: 2.5rem;
      color: $secondary-color;
    }

    &_failed {
      font-size: 2.5rem;
      font-weight: 400;
      color: $danger-color;
    }
  }

  &__status {
    padding: 1rem 0;
    display: inline-block;
    font-weight: 300;
    color: $pink-color;
    font-size: 2rem;
  }

  &__eppcode {
    @media screen and (min-width: 600px) {
      width: 50%;
      margin-top: 0.5rem;

      .form-control {
        border-radius: 0.5rem 0 0 0.5rem;
      }

      .btn {
        border-radius: 0 0.5rem 0.5rem 0;
      }
    }
  }
}

.box {
  border: 1px solid rgba(#000, 0.12);
  padding: 2rem 1rem;
  border-radius: 0.5rem;
  margin: 2rem 0;

  &__error {
    background-color: rgba(orangered, 0.12);
  }
}

.background {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  width: 300px;
  background: #fff;
}

%price {
  color: $pink-color;
}

.price {
  color: #20bfdd;

  &_big {
    font-size: 6rem;
  }

  &_medium {
    font-size: 4rem;
  }

  &_small {
    font-size: 2rem;
    font-weight: 500;
    @extend %price;
  }
}

.product__header {
  opacity: 0.8;
  padding: 1.6rem 0;

  &_icon {
    width: 5rem;
    height: 5rem;
    border-radius: 2.5rem;
    border: 0.1rem solid #ccc;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 1rem;
  }
}

.btn_custom {
  display: inline-block;
  padding: 0.6rem 1.5rem;
  text-transform: uppercase;
  border-radius: 0.2rem;
  &:focus {
    box-shadow: none;
  }

  &_warning {
    background: #ffd7ba;
    color: $secondary-color;
    &:hover {
      background-color: $secondary-color;
      color: $light-color;
    }
  }

  &_success {
    background-color: $success-color;
    color: $light-color;
    &:hover {
      background-color: $secondary-color;
      color: $light-color;
    }
  }

  &_primary {
    background-color: $primary-color;
    color: $light-color;
    &:hover {
      background-color: $secondary-color;
      color: $light-color;
    }
  }

  &_pink {
    background-color: $pink-color;
    color: $light-color;
    &:hover {
      background-color: $secondary-color;
      color: $light-color;
    }
  }
  &_secondary {
    background-color: $secondary-color;
    color: $light-color !important;
    &:hover {
      background-color: $pink-color;
      color: $light-color;
    }
  }
  &_danger {
    background-color: $danger-color;
    color: $light-color !important;
    &:hover {
      background-color: $pink-color;
      color: $light-color;
    }
  }
}

.paragraph {
  font-size: 1.8rem;
}

.color {
  &-primary {
    color: $primary-color;
  }
  &-warning {
    color: $danger-color;
  }

  &-secondary {
    color: $secondary-color;
  }

  &-pink {
    color: $pink-color;
  }
  &-success {
    color: $success-color;
  }
}

.cursor {
  cursor: pointer;
}

%icon {
  width: 30px;
  height: 30px;
  border-radius: 25px;
  padding: 0.5rem;
  color: #fff;
}

.custom-icon {
  background: $pink-color;
  @extend %icon;

  &-warning {
    @extend %icon;
    background: #ffc107;
    color: #56565b;
  }
}

.yearpill {
  background-color: #f1f1f1;
  text-transform: uppercase;
  padding: 0 1rem;
  font-size: 1.2rem;
}

.img-fit {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.upper {
  text-transform: uppercase;
}

.payfast_compact_payment_modal {
  z-index: 99 !important;
}

.title {
  &-1 {
    font-size: 1.5rem;
    line-height: 1.5rem;
    @media screen and (min-width: 1200px) {
      font-size: 2rem;
      line-height: 2rem;
    }
  }

  &-2 {
    font-size: 2rem;
    line-height: 2rem;
    @media screen and (min-width: 1200px) {
      font-size: 2.5rem;
      line-height: 2.5rem;
    }
  }

  &-3 {
    font-size: 3rem;
    line-height: 3rem;
    @media screen and (min-width: 1200px) {
      font-size: 4rem;
      line-height: 4rem;
    }
  }

  &-4 {
    font-size: 4rem;
    line-height: 4rem;
    @media screen and (min-width: 1200px) {
      font-size: 5rem;
      line-height: 5rem;
    }
  }

  &-5 {
    font-size: 5rem;
    line-height: 5rem;
    @media screen and (min-width: 1200px) {
      font-size: 6rem;
      line-height: 6rem;
    }
  }

  &-6 {
    font-size: 6rem;
    line-height: 6rem;
    @media screen and (min-width: 1200px) {
      font-size: 7rem;
      line-height: 7rem;
    }
  }

  &-7 {
    font-size: 7rem;
    line-height: 7rem;
    @media screen and (min-width: 1200px) {
      font-size: 7rem;
      line-height: 7rem;
    }
  }

  &-8 {
    font-size: 8rem;
    line-height: 8rem;
  }

  &-9 {
    font-size: 9rem;
    line-height: 9rem;
  }

  &-10 {
    font-size: 10rem;
    line-height: 10rem;
  }

  &-11 {
    font-size: 11rem;
    line-height: 11rem;
  }

  &-12 {
    font-size: 12rem;
    line-height: 12rem;
  }

  &-13 {
    font-size: 13rem;
    line-height: 13rem;
  }

  &-14 {
    font-size: 14rem;
    line-height: 14rem;
  }

  &-15 {
    font-size: 15rem;
    line-height: 15rem;
  }

  &-16 {
    font-size: 16rem;
    line-height: 16rem;
  }

  &-18 {
    font-size: 17rem;
    line-height: 17rem;
  }

  &-19 {
    font-size: 18rem;
    line-height: 18rem;
  }

  &-20 {
    font-size: 19rem;
    line-height: 19rem;
  }

  &-f {
    &-100 {
      font-weight: 100;
    }

    &-200 {
      font-weight: 200;
    }

    &-300 {
      font-weight: 300;
    }

    &-400 {
      font-weight: 400;
    }

    &-500 {
      font-weight: 500;
    }

    &-600 {
      font-weight: 600;
    }

    &-700 {
      font-weight: 700;
    }

    &-800 {
      font-weight: 800;
    }

    &-900 {
      font-weight: 900;
    }
  }
}
